summaryrefslogtreecommitdiffstats
path: root/package/mac80211/files
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-10-08 17:34:56 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-10-08 17:34:56 +0000
commit5ccde941d06021013f8d68e541af4061fa0e46eb (patch)
treeb409139aad9e78a1388dd8c2922a8c13bb86e9a6 /package/mac80211/files
parent4938785172e127723525431b31c8143b7798aabd (diff)
mac80211: set the country code early to allow crda to settle
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@28387 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/mac80211/files')
-rw-r--r--package/mac80211/files/lib/wifi/mac80211.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/package/mac80211/files/lib/wifi/mac80211.sh b/package/mac80211/files/lib/wifi/mac80211.sh
index 72549092b..1ae0c2083 100644
--- a/package/mac80211/files/lib/wifi/mac80211.sh
+++ b/package/mac80211/files/lib/wifi/mac80211.sh
@@ -302,6 +302,13 @@ enable_mac80211() {
fixed=""
local hostapd_ctrl=""
+ [ -n "$country" ] && {
+ iw reg get | grep -q "^country $country:" || {
+ iw reg set "$country"
+ sleep 1
+ }
+ }
+
config_get ath9k_chanbw "$device" ath9k_chanbw
[ -n "$ath9k_chanbw" -a -d /sys/kernel/debug/ieee80211/$phy/ath9k ] && echo "$ath9k_chanbw" > /sys/kernel/debug/ieee80211/$phy/ath9k/chanbw